name: "Run nix flake check"
on:
  workflow_dispatch:
  pull_request:
  push:
jobs:
  build:
    runs-on: debian-latest
    steps:
    - uses: actions/checkout@v6

    - name: Install sudo
      run: apt-get update && apt-get -y install sudo

    - name: Install nix
      uses: https://github.com/cachix/install-nix-action@v31

    - name: Nix flake check
      run: nix flake check -L
